Subject: List bounces from Comcast...

From: "Glen Barney (AMS)" <[email-masked]>
Date: Sat, 13 Mar 2010 17:19:56 -0800

Dear Working Group Chairs...

Over the weekend, both Ray and Russ saw some interesting behavior with respect
to the wgchairs mailing list.  They both got bounces from the IETF server
after sending their emails to the list, telling them that their mail was
rejected because a mail loop was detected.

Postfix, of course, caches messages and message IDs to prevent mail loops
from occurring, fortunately for us.  :-)

In each case, a destination mail server network somehow received their email
from the list, recharacterized the incoming message as an outgoing message,
and resent it to the IETF server as a new message (albeit with the same 
message ID and sender info.)

What's interesting is that both of the offending occurrences came from Comcast,
but from (apparently) different servers within Comcast.

The retransmission of Russ's message:

Mar 12 15:16:16 core3 postfix/smtpd[32038]: connect from PacdcIMO01.cable.comcas
t.com[24.40.8.145]
Mar 12 15:16:17 core3 postfix/smtpd[32038]: 0AC5E3A67F7: client=PacdcIMO01.cable
.comcast.com[24.40.8.145]
Mar 12 15:16:17 core3 postfix/cleanup[5783]: 0AC5E3A67F7: message-id=<4B9A78BA.9
[email-masked]>
Mar 12 15:16:20 core3 postfix/qmgr[14117]: 0AC5E3A67F7: from=<[email-masked]>, size=8798, nrcpt=1 (queue active)
Mar 12 15:16:20 core3 postfix/smtpd[32038]: disconnect from PacdcIMO01.cable.com
cast.com[24.40.8.145]

The retransmission of Ray's message:

Mar 13 02:58:10 core3 postfix/smtpd[5829]: connect from paoakoavas09.cable.comcast.com[208.17.35.58]
Mar 13 02:58:10 core3 postfix/smtpd[5829]: 65FF43A6958: client=paoakoavas09.cable.comcast.com[208.17.35.58]
Mar 13 02:58:10 core3 postfix/cleanup[6519]: 65FF43A6958: message-id=<[email-masked]>
Mar 13 02:58:10 core3 postfix/qmgr[14117]: 65FF43A6958: from=<[email-masked]>, size=5801, nrcpt=3 (queue active)
Mar 13 02:58:10 core3 postfix/smtpd[5829]: disconnect from paoakoavas09.cable.comcast.com[208.17.35.58]

There are at least four people on this list in the "cable.comcast.com" domain -
and I'm hoping you can assist us with resolving this by checking your own
mail processing rulesets if any and making sure you're not looping email out
for this list... and then, if necessary, contacting your Comcast IT department
and asking them to trace this out.

Odds are I will get a bounce for this message I'm sending, and odds are others
who send to the list will continue to get bounce messages (although the email
actually does go through and out the list) until the problem inside Comcast
is found.

As a reminder, I am not on this list, so I will not see replies unless I am
included explicity in those replies.  Any assistance you can provide would be
most appreciated!

Thanks,
Glen Barney
IT Director
AMS (IETF Secretariat)